#include <stdlib.h>
#include "dlmalloc/malloc.h"
#include "hal/hal.h"

void *malloc(size_t size) {
  return dlmalloc(size);
}

void free(void *ptr) {
  dlfree(ptr);
}

void *calloc(size_t size, size_t n) {
  return dlcalloc(size, n);
}
